summarylogtreecommitdiffstats
path: root/flb-music-player.sh
diff options
context:
space:
mode:
authorzxp198210052024-03-01 16:43:58 +0800
committerzxp198210052024-03-01 16:43:58 +0800
commit0874aa44bf73db405d34fd8a4efae08e179c2619 (patch)
treeb2572f54ecf6a3dd4d9645be866a13c28ed65f06 /flb-music-player.sh
parentbdf5267c450f5bdf7b93cb1de5d3380a10ee622b (diff)
downloadaur-0874aa44bf73db405d34fd8a4efae08e179c2619.tar.gz
fix errors
Diffstat (limited to 'flb-music-player.sh')
-rw-r--r--flb-music-player.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/flb-music-player.sh b/flb-music-player.sh
index 0d20cddc70ca..86cb3dc6a9bf 100644
--- a/flb-music-player.sh
+++ b/flb-music-player.sh
@@ -1,14 +1,15 @@
-#!/bin/sh
+#!/bin/bash
set -e
_APPDIR="/usr/lib/@appname@"
-_ASAR="${_APPDIR}/@appasar@"
+_RUNNAME="${_APPDIR}/@runname@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
+export ELECTRON_FORCE_IS_PACKAGED=true
export NODE_ENV=production
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_ASAR}" "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
else
- exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
fi \ No newline at end of file